#pragma once

#ifndef SYNCHRONIZED_H
#define SYNCHRONIZED_H


/**
	\file
	\brief Includes all Synchronized headers
*/




/**
	\namespace Synchronized
	\brief Contains Heap and TextureHeap classes
*/

/**
	\namespace Synchronized::detail
	\brief Pseudo-anonymous namespace for Synchronized implementation details
*/




/*==============================================================================
	Include all Synchronized headers
==============================================================================*/


#include "synchronized_heap.h"
#include "synchronized_texture_heap.h"




#endif    // SYNCHRONIZED_H
