#include "settings.h"




#if ( SETTING_OPENCL != 0 )




#include "synchronized_heap_opencl.h"




namespace Synchronized {




/*==============================================================================
	Heap< PLATFORM_OPENCL >::ObjectBase methods
==============================================================================*/


Heap< PLATFORM_OPENCL >::ObjectBase::~ObjectBase() {

	assert( m_refcount == 0 );
	assert( m_pParent != NULL );
	m_pParent->FreeObject( this );
}




}    // namespace Synchronized




#endif    // SETTING_OPENCL
